Subject: Re: bug#11441: 24.1.50; EDE Mode only supports Make and Automake projects

From: Glenn Morris <[email-masked]>
Date: Thu, 10 May 2012 21:47:59 -0400

Christoph Scholtes wrote:

>  Hmm...how do I create a Simple project then?

I've no idea, I've never used EDE for anything. :)

There is a "Simple Projects" manual node, with a menu entry:

  * ede-simple subclassing:: Create your own simple project.

that looks promising. But...

   6.1.2 ede-simple Subclassing
   ----------------------------

   todo - Write some doc.

      In the meantime look in the commentary of ede-simple.el

Oh dear. The file is not even called ede-simple.el in Emacs, it is
ede/simple.el. Its commentary says:

   ;; NOTE: EDE Simple Projects are considered obsolete.  Use generic
   ;; projects instead.

So it gets worse! :)
"Generic projects" aren't mentioned at all in the manual AFAICS.